Description

Heobxonmmo paspabotatb knacc ERBeamDetPID(particle identification) ana naeHTugukaumm napamMmepoB YacTuupl, NeTswWwen B
BeamDet.

PeaynbtaTtom paboTbl 6yaet oamH 06bekT Tuna ERBeamDetParticle - fProjectile.

KomnoHeHTamn ERBeamDetParticle siBnstotcst 4-x BekTop ee coctosiHus (TLorentzVector),PDG kopa,probability - BeposiTHOCTb TOrO,
4TO Mbl yroganu 4yacTuuy npaBuUbHO.

PDG v probability:

Monb3oBaTenb noapasymMeBaeT Kakyto 4acTuly(MOH) OH [OMXeH peructpupoBaTth, noatoMy PDG kon Heob6xoauMo caenatb
NHTepdencom.

Lna noentudpukauunn yactuubl ncnonbadyetcs tof n dE 8 TOF.

tof - Bpems nponeta mexay nnactukamu, dE - cymmapHas sHeprus octaBWascs Ha HuX.

Lnsa 3apaHus ot6opa no aTuM napameTpam HeobxoamMmo caenatb uHTepdeic: SetBoxPID(tof1,dE1,tof2,dE2). Probability=1, korna
tof mex ny tof1, tof2, dE mex gy dE1 n dE2, ecnu He nonano B rpaHuLe probability = 0

B nanbHeiwem noHanobuTcs Takon xe oT6op, HO C 3afaHNeEM rpaHunL, Kak anmunc.

Hy>xHo coenatb nHTepderic probability threshold. Ecnu probability nony4nnock Huxe, 4em probability threshold, To nucatb event B
BbIXOOHOW (pain He Hy>XHO MO YMONHYaHWIO PaBeH Hy 0.

TLorentzVector cOCTOSIHUS HA MUALWIEHN

Mbl onpenensieM SHepruto MoHa No BpeMeHu nponeta:

1)tof = tof1-tof2 + tof_offset

tof_offset - kannnbpoBoYHbI NapameTp. 3a0aeTca Nob30BaTENEM, HYXXEH MHTepdelic.

2)BbicuntbiBaem beta cpaktop noHa
beta = pacctosHne mexay tof(na BeamDetSetup)/tof/C (C - ckopocTtb cBeTa)

3) nenaem oT60p cobbiTuii Ha abcypaHOCTb. Ecnv He npownu - He Nuwem B cpain.
beta mexay O n 1

4) Cuyntaem ramma hakTop 1 Mogynb nMnynbca
gamma= 1./sqrt(1.-beta*beta);
p= beta*Mprojectile*gamma; (Mprojectile n3 TDatabasePDG un 3HaHus PDG)

5) Mo uMynbCy 1 3HaHWS HanpaBneHNs Ha MUWeHU doopmupyem TLorentzVector COCTOSIHM Ha MULIEHM 1 caM 0O bEKT
fProjectile(BbixoHO 06BEKT Tacka B 3TOM COObITUN)

Px = p*sin(theta)*cos(phi)

Py = p*sin(theta)*sin(phi)

Pz = p*cos(theta)

E = ryrnum kak 13 nmnynbca 1 Macchbl NOy4YMTb NOMHYIO 9HEPr o

History

#1 - 07/25/2017 05:05 PM - Mikhail Kozlov

Kak onpenenste BEPOATHOCTb, OTANYHYIO OT €AVHWLbI, €CNN HE nonajaem B npomexyTku no tof nnn de?

#2 - 07/25/2017 06:05 PM - Mikhail Kozlov

2) Y1o Takoe 06bekT fProjectile?

#3 - 07/25/2017 06:13 PM - Vitaliy Schetinin

- Description updated
#4 - 07/25/2017 06:24 PM - Mikhail Kozlov

Bonpocbl npo 06bekTbl 0TNanW, 40 MEHS [OWIO.

A BoT NpPO BEPOATHOCTb A0 CUX MO HE NOHAN. Ecnu oHa HyneBas npu HenonagaHun B rpaHuUbl, TO 3a4eM I/IHTepCpeVIC Ha nopor no BepOATHOCTW.

#5 - 07/25/2017 06:31 PM - Vitaliy Schetinin

Ona nnbo 1, nmbo 0. Bonee cnoxHble Belwm 6yaem NoToM MMANEMEHTUPOBaThL. Ecnv nonanu B 3anaHHyto obnactb 3HaueHwnst - 1, ecnu HeT, 7o O

#6 - 07/26/2017 06:40 PM - Mikhail Kozlov

[ns noeHTUdMKaLMM HYyXHbl AaHHbIE U ¢ aTana anaxuTmaaumm ans dE v tof, a n ¢ atana onpeneneHns napameTpoB Tpeka Ans Nosy4eHns
BEKTOpa MMMy nbca.

Kak 04HOBPEMEHHO B CUMYNSILMW NOAYYUTB U TO U Apyroe?

#7 - 07/27/2017 08:13 AM - Vitaliy Schetinin

He coBceM noHsn, 4T0 3HaUNT B cuMynsuun. Ho Ha atane FairTask gocyTyrnHbl Bce BETKM, KOTOPbIE Bbifn BO BXOAHBIX (painax (OCHOBHOM MOXHO
we AononHuTensHole aobaensto. AddFriend()) n Bo Bcex npedbloylwmx 3anaqax. Hepes ioman

#8 - 07/27/2017 10:43 AM - Mikhail Kozlov

OrOBOpKa, XOTen HanncaTb B Makpoce BMeCTO CUMYyNnAaUnn.

#9 - 07/27/2017 11:50 AM - Mikhail Kozlov

B ioman ecTb Tonbko npusaTHbii MeTon AddFriends().
Ceitvac nenato fRun->AddFriend("reco.root"), HO y MeHs nafaeT nporpamMMa Ha MOMEHTE MoJy4YeHUst 3HaYeHns yrna n3 obbekTta Tpeka.

He mory noHsTb ¢ 4eM cBsizdaHo. TO NN HeMpaBW/bHO CYMTLIBAETCS 06 bEKT U3 fepeBa, TO N NMPOCTO HamyTan Co CCbiIkamMu U ykasaTensiMm npu
BbITaCKMBaHUM OaHHbIX U3 o6bekTa fBeamdetTrack.

#10 - 07/31/2017 10:56 AM - Vitaliy Schetinin

Bo nepsbix npobnema 6bina He BTOM, 4TO Thbl HE MPaBuibHO paboTaelb ¢ danamu, a 7o , 4to Tack BeamDetPID oxunnaet, 4To 06bekT
BeamDetTrack 6bin coznaH. Ho 310 nponcxoamT He Beerna.

TyT Ha caMoM Lene Bckpbinach foBONbHO 60/blwas npobnema, KoTopas 3ak/l04aeTCcs B TOM, Y4TO Mbl HE MOXEM NPeKkpaTuTb BbinonHeHne Pipeline
13 kakoro nubo tacka. Ceitvac oT60p cobbiTuin y Hac nponcxoanT ¢ nomolbto MarkFill(kFALSE), koTopblii FOBOPWT He Nucatb COBbITUE B BBIXOAHOM
¢haiin. Ho npu aToM Bce nocnenytolume Tackm B paHe 6yayT BbINOMHATLCS. STO NMOPOYHO, MOTOMY YTO B CeAyIoWmMX Tackax Mbl JOXHbI
cnpawvsath ObiN M co3aaH Takoi To 06bekT. Mpy aTOM Mbl fake He MOXEM Ha TeKyLU i MOMEHT OMPOCUTL COCTOSIHME donara, KOTopbI CTaBUTCS
¢ nomoubto MarkFill(kFALSE), npocTo HeT Takoro uHtepdeiica.

JaHHas cutyaums BuauMo cosgaHa no npuymHe toro, 4to FairRoot npennonoraet, 4to ot60p cobbITUI 6bIN COBEPLIEH Ha aTane Aaka. Takow
BbIBOA A cAenan, noTomy 4To comroot v r3broot He ncnonbaytoT MarkFill. To ecTb y HUX KONMYECTBO COOLITUI HA BXOAE BCErna PaBHO KONMMYECTBY

cobbiTuin Ha Bbixoae. Hawa neficTBUTEeNbHOCTb HEMHOMO apyras u 0T60p cobbITHiA nponcxoounT yxe B aHanuase.

Ha naHHbIi MOMEHT st npocTo nobasun B8 ERBeamDetPID npoBepky Ha cylwecTBoBaHue o6bekta ERBeamTrack n Bce nepectano nagatb. Kpome
Toro, s no6asun npumep Makpoca ¢ AddFriend.
Sl BUXy LBa NyTU pa3BUTUS COBbITUIA:

1) 9 owmbatock Ha cueT FairRoot 1 Bce Takn HainmeTcs HaTUBHbIN cnocob ocTaHoBKK pipeline u nepexona kK cnegytolemy cobbiTuio. PelaeTtcst
HanvcaHvneM nucbma Papeky

2) 9 neperpyxy meHenxepbl FairRunAna. bBynet ERRunAna, koTopeblii yMeeT octaHasnmeatb Pipeline n nepexoanTsb K cnegyiowemy cobbiTuio.

#11 - 07/31/2017 11:17 AM - Mikhail Kozlov

Ecnu Yy Hac HeCKOo/1bKO TackoB B 04HOM Makpoce, T0 y Hac cobbiTne 06pa6aTb|BaeTc;| BCeMU Tackamu, a NOTOM OCYLLECTBNAETCA nepexon K
cnepyouemy cobbIThiO - npaBubHO, a He Tak, 4TO CcHa4yana NPoroHseTCcs BCA OUNAXNTM3auUns, NOTOM NOUCK Tpeka n T.07

#12 - 07/31/2017 11:26 AM - Vitaliy Schetinin

Ja. CHauana o6pabaTbiBaeTcs BCEMM Tackamm

#13 - 07/31/2017 01:27 PM - Mikhail Kozlov

Y MeHsi HenpaBunbHo 6bino 3anaHo ums BeamDetTrack B ioman B knacce ERBeamDetPID! Ceityac HopManbHo Bce paboTaeT 1 6e3 npoBepku
cylwecTBOBaHusA o6bekTa.

#14 - 07/31/2017 03:09 PM - Vitaliy Schetinin

Hy ato npobnembl He pewaeT. Byay nucatb cBoi paH MeHeaxep ¢ 6NaKAXEKOM.

4 nonpobosan ucnonb3osatb G4lonTable kak kanbkynsTop Macchl MOHa Mo pa3HbiM Habopam napameTpoB. M MOHsN, YTO 3TO HE BO3MOXHO, MOTOMY
4To Geant oxe Xxo4eT MHMLMaNM3aLUmm Ky4m cBoux 06ekToB. Tak 4To BbIBOA NPOCTOi. Ha aTane pekoHCTpyKLMM Nonb3oBaTenb cam 3anaeT Bce
Heobxonumoe anst naeHTudpukaumu. B naHHoM cnyyae Hamo npocTto [o6aBnTb UHTEpdEenc Ans BBOAA Macchl.

#15 - 07/31/2017 04:44 PM - Mikhail Kozlov

Kakum 06pa30M rapaHTnpoBaTtb, 4TO Macca Nosb30BaTeIbCKOro NoHa paBHa B CUMy AL N pE‘KOHCprKLI,VIM?

#16 - 07/31/2017 04:46 PM - Vitaliy Schetinin

Tonbko Pa3yMHOCTbIO NONb3oBaTens

#17 - 07/31/2017 06:41 PM - Mikhail Kozlov

Kak MOXHO B 0AHOM AepeBe MofyunTb Pe3ybTaThl ¥ CUMYNSLK 1 PEKOHCTPYKLMM? YTo6bl MOXHO 6bino B TreeViewer npoBepnTb Ka4e€CTBO
BOCCTaHOBJIEHNS KOOPOMHATbI Ha MULIEHN.

#18 - 08/09/2017 08:09 AM - Vitaliy Schetinin

- Status changed from OrtkpsbiTa to 3akpeiTa
